<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Utils\WssField;

class WssFieldFotoPfoto extends WssField
{
  protected function getValue($datamodulWert, $isFormular = false)
  {
    $imageSrc = $datamodulWert->getImageLink();
    $result = '';
    if (!empty($imageSrc)) {
      if (($datamodulWert->getVarValueEx('portrait_flag', $this->getDatamodulName()) & PORTRAIT_FLAG_BILD_LOESCHEN) == PORTRAIT_FLAG_BILD_LOESCHEN) {
        $result .= '<div class="alert alert-danger">Zur Löschung vorgemerkt</div>';
      }

      $hash = md5_file($imageSrc);
      $imageSrc .= '?v=' . $hash;
      $result .= \HTMLOperations::CreateImageTag($imageSrc, '');
    } else {
      $result .= 'Kein Bild vorhanden!';
    }

    return $result;
  }

  protected function encodeValue($value)
  {
    return $this->purifyHtml($value);
  }
}